/*-------------------------------------*/
/* main menu                           */
/*-------------------------------------*/

.mainmenu-wrapper {
    background: #20bdd4;
}

.mainmenu {
    font-size: 14px;
    min-height: 70px;
}

.mainmenu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mainmenu .level-1 {
    position: relative;
    padding: 0;
    margin: 0;
}

.mainmenu .level-1 a {
    display: flex;
    position: relative;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    margin: 0;
    line-height: 1;
    text-transform: uppercase;
    text-decoration: none;
    color: #fff;
    border-left: 1px solid #fff;
    z-index: 99;
    transition: 0.2s;
}

.mainmenu .level-1.active a {
    color: #3c3c3c;
    border-left: transparent;
}

.mainmenu .level-1:hover a {
    color: #3c3c3c;
}

.mainmenu .level-1:first-child a {
    border: none;
}

.mainmenu .level-1 a.mm-main {
    padding-left: 30px;
    background-image: url(../images/ic_home.png);
    background-position: 10px 48%;
    background-repeat: no-repeat;
}

.mainmenu .level-1.active:before {
    display: block;
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    right: -1px;
    height: 70px;
    background: #fff;
    opacity: 1;
    transition: 0.2s;
    z-index: 49;
}

.mainmenu-search {
    color: #fff;
    padding: 0;
    font-size: 180%;
    cursor: pointer;
}

/*-------------------------------------*/
/* service menu                        */
/*-------------------------------------*/

.servicemenu-wrapper {
    position: relative;
    height: 340px;
    padding: 0 32px;
    background: #ccc;
    background: url(../images/bg_servicemenu.jpg) center no-repeat;
    background-size: cover;
}

.servicemenu {
    display: none;
    position: relative;
}

.servicemenu ul {
    display: block;
    list-style: none;
    padding: 0;
    margin: 0;
}

.servicemenu .level-1 {
    position: relative;
    padding: 0;
    margin: 0;
}

.servicemenu .level-1 a {
    display: block;
    height: 300px;
    position: relative;
    padding: 150px 30px 0;
    margin: 0;
    font-size: 90%;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    color: #fff;
    background-position: 50% 0;
    background-repeat: no-repeat;
    z-index: 99;
}

.servicemenu .level-1:hover a {
    color: #fff;
}

.servicemenu .level-1:before {
    display: block;
    position: absolute;
    width: 100%;
    height: 300px;
    content: '';
    top: 0;
    left: 0;
    opacity: 0;
    background: url(../images/ic_sm_arrow.png) 50% 85% no-repeat #12a7c5;
    z-index: 49;
    transition: opacity 0.3s;
}

.servicemenu .level-1:hover:before {
    opacity: 1;
}

.servicemenu .level-1 .ic-01 {
    background-image: url(../images/sm_ic01.png);
}

.servicemenu .level-1 .ic-02 {
    background-image: url(../images/sm_ic02.png);
}

.servicemenu .level-1 .ic-03 {
    background-image: url(../images/sm_ic03.png);
}

.servicemenu .level-1 .ic-04 {
    background-image: url(../images/sm_ic04.png);
}

.servicemenu .level-1 .ic-05 {
    background-image: url(../images/sm_ic05.png);
}

/*-------------------------------------*/
/* sidebar                             */
/*-------------------------------------*/

.smleft {
    display: block;
    position: relative;
    max-width: 300px;
    padding: 10px 20px 10px 0;
}

.smleft ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.smleft .level-2 {
    display: block;
    padding: 0;
    margin: 10px 0;
}

.smleft .level-2.current {
    margin-left: 10px;
}

.smleft .level-2 a {
    display: block;
    position: relative;
    padding: 10px 40px 10px 20px;
    margin: 0;
    text-transform: uppercase;
    text-decoration: none;
    color: #333;
}

.smleft .level-2:hover a {
    color: #0a71a6;
    background: #e5e9ea;
}

.smleft .level-2.current a {
    color: #fff;
    background: #12a7c5;
}

.smleft .level-2.current a::after {
    display: block;
    position: absolute;
    content: '';
    width: 70px;
    height: 100%;
    top: 0;
    right: -30px;
    background: url(../images/bg_triangl.png) right no-repeat;
}

.cmleft {
    display: block;
    position: relative;
    max-width: 300px;
    padding: 10px 20px 10px 0;
    z-index: 99;
}

.cmleft ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.cmleft .level-2 {
    display: block;
    position: relative;
    padding: 0;
    margin: 10px 0;
}

.cmleft .level-2 > a {
    display: block;
    position: relative;
    padding: 10px 40px 10px 20px;
    margin: 0;
    min-height: 40px;
    text-transform: uppercase;
    text-decoration: none;
    color: #333;
}

.cmleft .level-2:hover > a {
    color: #0a71a6;
    background: #e5e9ea;
}

.cmleft .level-2.current,
.cmleft .level-2.alias-parent-active {
    margin-left: 10px;
}

.cmleft .level-2.current > a,
.cmleft .level-2.alias-parent-active > a {
    color: #fff;
    background: #12a7c5;
}

.cmleft .level-2.current > a:after,
.cmleft .level-2.alias-parent-active > a:after {
    display: block;
    position: absolute;
    content: '';
    width: 70px;
    height: 100%;
    top: 0;
    right: -30px;
    background: url(../images/bg_triangl.png) right no-repeat;
}

.cmleft li ul {
    padding: 10px 0;
}

.cmleft .level-2 > ul,
.cmleft .level-3 > ul,
.cmleft .level-4 > ul {
    padding-left: 10px;
    padding-right: 10px;
}

.cmleft .level-2.alias-parent-active > ul,
.cmleft .level-2.current > ul,
.cmleft .level-3.alias-parent-active > ul,
.cmleft .level-3.current > ul {
    display: block;
}

.cmleft .level-2 li {
    display: block;
    position: relative;
}

.cmleft .level-2 li:hover {
    background: #e5e9ea;
}

.cmleft .level-3 li:hover {
    background: #ccc;
}

.cmleft .level-2 li a {
    display: block;
    position: relative;
    padding: 5px 10px 5px 20px;
    color: #000;
    text-decoration: none;
}

.cmleft .level-2 > ul li.current > a {
    font-weight: bold;
}

/*-------------------------------------*/
/* mobile                              */
/*-------------------------------------*/

.mobilemenu ul {
    display: block;
}

.mobilemenu li {
    display: block;
    position: relative;
    box-sizing: border-box;
    padding: 0;
}

.mobilemenu li.current {
    font-weight: bold;
}

.mobilemenu .level-1::after {
    display: block;
    position: absolute;
    content: '';
    bottom: 0;
    width: 100%;
    height: 1px;
    background: #000;
    opacity: 0.3;
    transition: 0.3s;
}

.mobilemenu .level-1:last-child:after {
    display: none;
}

.mobilemenu .level-1 > a {
    display: flex;
    position: relative;
    box-sizing: border-box;
    align-items: center;
    font-size: 100%;
    width: 100%;
    text-decoration: none;
    padding: 10px 0;
    color: #000;
    transition: 0.2s;
}

.mobilemenu .level-1 > ul {
    margin: 0 0 0 20px;
    padding-bottom: 20px;
}

.mobilemenu .level-2 > ul {
    margin: 0 0 0 20px;
}

.mobilemenu .level-2 > a {
    display: flex;
    position: relative;
    box-sizing: border-box;
    align-items: center;
    width: 100%;
    text-decoration: none;
    padding: 10px 0;
    color: #000;
    transition: 0.2s;
}

.mobilemenu .level-3 > a {
    display: flex;
    position: relative;
    box-sizing: border-box;
    align-items: center;
    width: 100%;
    text-decoration: none;
    padding: 10px 0;
    color: #000;
    transition: 0.2s;
}

.mobilemenu li:hover > a {
    color: #0a71a6;
}